--J/dobhs11T7y2rNN
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi,

sysutils/hal fails on install on my system whenever I have the docbook
related ports already installed. Removing all of them and letting them
install as dependency of hal works fine, but breaks hal upgrades, when
they are already installed.

gmake[3]: Entering directory `/usr/ports/sysutils/hal/work/hal-0.5.8.200609=
17/doc/spec'
/usr/local/bin/docbook2html --nochunks hal-spec.xml -o .
Using catalogs: /usr/local/share/sgml/catalog,
/usr/local/share/sgml/docbook/dsssl/modular/print/catalog,
/usr/local/share/sgml/docbook/dsssl/modular/html/catalog,
/usr/local/share/sgml/docbook/dsssl/modular/dtds/html/catalog,
/usr/local/share/sgml/docbook/dsssl/modular/common/catalog,
/usr/local/share/sgml/docbook/dsssl/modular/catalog,
/usr/local/share/sgml/docbook/4.1/catalog,
/usr/local/share/sgml/docbook/3.1/catalog,
/usr/local/share/sgml/docbook/2.4.1/catalog,
/usr/local/share/sgml/docbook/4.0/catalog,
/usr/local/share/sgml/docbook/3.0/catalog,
/usr/local/share/sgml/docbook/catalog,
/usr/local/share/sgml/html/catalog,
/usr/local/share/sgml/iso8879/catalog,
/usr/local/share/sgml/linuxdoc/catalog,
/usr/local/share/sgml/jade/catalog

Using stylesheet: /usr/local/share/sgml/docbook/utils-0.6.14/docbook-utils.=
dsl#html
Working on: /usr/ports/sysutils/hal/work/hal-0.5.8.20060917/doc/spec/hal-sp=
ec.xml
jade:E: cannot open "/usr/local/share/sgml/xml.dcl" (No such file or
directory)
jade:/usr/ports/sysutils/hal/work/hal-0.5.8.20060917/doc/spec/hal-spec.xml:=
3:119:E:
URL not supported by this version
jade:/usr/ports/sysutils/hal/work/hal-0.5.8.20060917/doc/spec/hal-spec.xml:=
3:119:E:
DTD did not contain element declaration for document type name
jade:/usr/ports/sysutils/hal/work/hal-0.5.8.20060917/doc/spec/hal-spec.xml:=
7:9:E:
there is no attribute "ID"

[...more attribute and tag errors (basically for all tags and attributes
as it seems...]=20

Stop in /usr/ports/sysutils/hal.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.36502=
=2E0 env PORT_UPGRADE=3Dyes make
** Fix the problem and try again.
** Listing the failed packages (*:skipped / !:failed)
! sysutils/hal (hal-0.5.8.20060917_1) (unknown build error)
---> Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed

Output of `pkg_info | grep book`

docbook-1.3
docbook-241_2
docbook-3.0_2
docbook-3.1_2
docbook-4.0_2
docbook-4.1_2
docbook-sk-4.1.2_3
docbook-to-man-1.0
docbook-utils-0.6.14
docbook-xml-4.2_1
docbook-xml-4.3
docbook-xml-4.4
docbook-xsl-1.70.1
dsssl-docbook-modular-1.79,1
sdocbook-xml-4.1.2.5_2

Any advices on how to fix that issue without reinstalling all the
packages anytime hal is updated?

Regards
Marcus

--J/dobhs11T7y2rNN
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (FreeBSD)

iD8DBQFFRmfIo/JpszXavhwRAgGEAJ9qmOauChxBLDy37XIEDLtikTS+LACcC/YC
kqi/r+Eu+OVSSV7X98GKvkw=
=QceC
-----END PGP SIGNATURE-----

--J/dobhs11T7y2rNN--